<?php

$Permissoes = User::getUser(true);

class NovidadesController extends GxController {

    var $help = 'Esta é a ajuda';

    public function actionView($id) {
        $this->render('view', array(
            'model' => $this->loadModel($id, 'Novidades'),
        ));
    }

    public function actionCreate() {
        $model = new Novidades;


        if (isset($_POST['Novidades'])) {
            $model->setAttributes($_POST['Novidades']);

            $model->NOV_IDFUNCIONARIO = User::getId();
            if ($model->save()) {
                if (Yii::app()->getRequest()->getIsAjaxRequest())
                    Yii::app()->end();
                else
                    $this->redirect(array('view', 'id' => $model->NOV_IDNOVIDADE));
            }
        }

        $this->render('create', array('model' => $model));
    }

    public function actionUpdate($id) {
        $model = $this->loadModel($id, 'Novidades');

        if (isset($_POST['Novidades'])) {
            $model->setAttributes($_POST['Novidades']);

            if ($model->save()) {
                $this->redirect(array('view', 'id' => $model->NOV_IDNOVIDADE));
            }
        }

        $this->render('update', array(
            'model' => $model,
        ));
    }

    public function actionDelete($id) {
        if (Yii::app()->getRequest()->getIsPostRequest()) {
            $this->loadModel($id, 'Novidades')->delete();

            if (!Yii::app()->getRequest()->getIsAjaxRequest())
                $this->redirect(array('admin'));
        } else
            throw new CHttpException(400, 'Sua solicitação é inválida.');
    }

    public function actionAdmin() {
        $model = new Novidades('search');
        $model->unsetAttributes();

        if (isset($_GET['Novidades']))
            $model->setAttributes($_GET['Novidades']);

        $this->render('admin', array(
            'model' => $model,
        ));
    }

}